TSLEAD {bimets} | R Documentation

## Lead Time Series

### Description

This function leads the input time series by the specified number of time periods.

### Usage

    TSLEAD(x = NULL, L = 1, avoidCompliance = FALSE, ...)

### Arguments

`x` | Input time series that must satisfy the compliance control check defined in `is.bimets`.
`L` | Lead. Must be an integer, positive or negative.
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`
`...` | Backward compatibility.

### Value

This function returns a BIMETS time series built by leading the input time series.

### See Also

`TSJOIN`
`TSEXTEND`
`TSMERGE`
`MOVAVG`
`GETYEARPERIOD`
`TSLAG`

### Examples

    	#DEFINE TS
    	n=10;

    	ts1=TSERIES(n:1,START=c(2000,1),FREQ=1);
    	ts1[5]=NA;

    	#print TSLEAD
    	TABIT(ts1,TSLEAD(ts1,5));

[Package bimets version 1.4.0 Index]